%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define libxml2_version 2.5.11
%define orbit2_version 2.8.1
%define libbonobo_version 2.4.0
%define libgnomecanvas_version 2.4.0
%define libgnome_version 2.4.0
%define libart_lgpl_version 2.3.16
%define libbonoboui_version 2.4.0
%define glib2_version 2.2.3
%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define gconf2_version 2.4.0.1
%define gnome_vfs2_version 2.4.0
%define libglade2_version 2.0.1
%define esound_version 0.2.32

Summary: 	GNOME base GUI library
Name: 		libgnomeui
Version: 	2.4.0.1
Release: 	1
URL: 		ftp://ftp.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		libgnomeui-2.4.0.1-aix.patch
Patch1:		libgnomeui-2.4.0.1-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires: ORBit2 >= %{orbit2_version}
Requires: glib2 >= %{glib2_version}
Requires: pango >= %{pango_version}
Requires: gtk2 >= %{gtk2_version}
Requires: GConf2 >= %{gconf2_version} 
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: libgnomecanvas >= %{libgnomecanvas_version}
Requires: libbonobo >= %{libbonobo_version}
Requires: libbonoboui >= %{libbonoboui_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libgnome >= %{libgnome_version}
Requires: libart_lgpl >= %{libart_lgpl_version}
Requires: libglade2 >= %{libglade2_version}
Requires: esound >= %{esound_version}
#Requires: Xft
#Requires: fontconfig
#Requires: XFree86-libs >= 4.2.99

BuildRequires: zlib-devel
BuildRequires: esound-devel
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version} 
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: esound-devel >= %{esound_version}
#BuildRequires: XFree86-devel >= 4.2.99
# BuildRequires: Xft
# BuildRequires: fontconfig
# BuildRequires: libtool >= 1.4.2-12

%description

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don't use the X
Window System.)

%package devel
Summary: 	Libraries and headers for libgnome
Group: 		Development/Libraries
Requires: 	%name = %{version}

Requires: zlib-devel
Requires: esound-devel
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: GConf2-devel >= %{gconf2_version} 
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: libbonoboui-devel >= %{libbonoboui_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libgnome-devel >= %{libgnome_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libglade2-devel >= %{libglade2_version}
Requires: esound-devel >= %{esound_version}

Conflicts: gnome-libs-devel < 1.4.1.2
Conflicts: gdk-pixbuf-devel <= 0.11

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to
use libgnomeui.

You should install the libgnomeui-devel package if you would like to
compile GNOME applications. You do not need to install
libgnomeui-devel if you just want to use the GNOME desktop
environment.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libgnomeui-2.4.0.1-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libgnomeui-2.4.0.1-autotools.patch


%build
LDFLAGS="-L%{_libdir}" PATH=%{_bindir}:$PATH \
./configure --prefix=%{_prefix} --disable-gtk-doc
PATH=%{_bindir}:$PATH make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# make links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%files
%defattr(-,root,system)

%doc COPYING ChangeLog NEWS

%{_libdir}/lib*.a
/usr/lib/lib*.a
%{_datadir}/pixmaps/*
%{_libdir}/libglade/2.0/*
%{_libexecdir}/*
%{_datadir}/locale/*/LC_MESSAGES/libgnomeui-2.0.mo

%files devel
%defattr(-,root,system)

%{_libdir}/pkgconfig/*
%{_libdir}/lib*.la
/usr/lib/lib*.la
%{_includedir}/*
/usr/include/*
%{_datadir}/gtk-doc
